Loading...
Searching...
No Matches
BALL::Substring::InvalidSubstring Class Reference

`#include <BALL/DATATYPE/string.h>`

Inheritance diagram for BALL::Substring::InvalidSubstring:

## Public Member Functions

| InvalidSubstring (const char *file, int line)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Additional Inherited Members

const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Exception thrown if an invalid substring is accessed. This exception is thrown if an invalid substring is to be used.

See also
  isValid

Definition at line 1413 of file string.h.

## Constructor & Destructor Documentation

## InvalidSubstring()

BALL::Substring::InvalidSubstring::InvalidSubstring | ( | const char * | file,
|  | int | line )